<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Register</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  <script src=
  "https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js">
    </script> 
  <style>
    body{
      background-color: #f9f9f9;
    }
    .IDcard{
      width: 100%; 
      height: 100%;
    }
  </style>
</head>

<body>
    <div class="mask d-flex align-items-center h-100 gradient-custom-3 mt-lg-5">
      <div class="container h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
          <div class="col-12 col-md-9 col-lg-7 col-xl-6">
            <div class="card">
              <div class="card-body p-5">
                <h2 class="text-uppercase text-center mb-5">Create an account</h2>
                <% if (messages) { %>
                  <p>
                    <%= messages.error %>
                  </p>
                <% } %>
                <div class="form-outline mb-4">
                  <label >Full Name</label>
                  <input type="text" name="name" id="name" placeholder="Full Name" class="form-control" required />             
                </div>

                <div class="form-outline mb-4">
                  <label >Email</label>
                  <input type="email" name="email" id="email" placeholder="Email@gmail.com" class="form-control" required/>             
               </div>

                <div class="form-outline mb-4">
                  <label >Date of birth</label>
                  <input type="date" name="birthday" id="birthday" class="form-control" />             
                </div>

                <div class="form-outline mb-4">
                  <label>Phone Number</label>
                  <input type="text" name="phone" id="phone" placeholder="Phone" class="form-control " />             
                </div>

                <div class="form-outline mb-4">
                  <label> Address</label>
                  <input type="text" name="address" id="address" placeholder="Address" class="form-control" />             
                </div>

                <div class="form-outline mb-4">
                  <label for="uploadfileOnCard">Front side ID</label> 
                  <input type="file" name="uploadfileOnCard" id="uploadfileFrontCard" class="form-control IDcard" required/>    
                </div>

                <div class="form-outline mb-4">
                  <label for="uploadfileOnCard2">Back side ID</label>  
                  <input type="file" name="uploadfileOnCard" id="uploadfileBackCard" class="form-control IDcard" required/>    
                </div>

                
                
                <button class="btn btn-primary btn-block" onclick="uploadImageOnCard()">Register</button>
                
                <p class="text-center text-muted mt-4 mb-0">Have already an account? <a href="/users/login" class="link-danger"><u>Login here</u></a></p>


              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</body>

<script src="https://www.gstatic.com/firebasejs/7.7.0/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/7.7.0/firebase-storage.js"></script>
<script>


  // Import the functions you need from the SDKs you need

  // TODO: Add SDKs for Firebase products that you want to use
  // https://firebase.google.com/docs/web/setup#available-libraries

  // Your web app's Firebase configuration
  // For Firebase JS SDK v7.20.0 and later, measurementId is optional
  var firebaseConfig = {
    apiKey: "AIzaSyDdeuEz90UIrQGUm39PC7vTELfIUV6fFC8",
    authDomain: "upload-fc579.firebaseapp.com",
    projectId: "upload-fc579",
    storageBucket: "upload-fc579.appspot.com",
    messagingSenderId: "110457690097",
    appId: "1:110457690097:web:23b30bc257dc2ddd3b9650",
    measurementId: "G-D6WPCSQQW8"
  };
  // Initialize Firebase
  firebase.initializeApp(firebaseConfig);


  function uploadImageOnCard() {
    const ref = firebase.storage().ref();
    const phone = document.getElementById('phone').value;
    const email = document.getElementById('email').value;
    const name = document.getElementById('name').value;
    const birthday = document.getElementById('birthday').value;
    const address = document.getElementById('address').value;

    const file = document.querySelector("#uploadfileFrontCard").files[0];
    const file2 = document.querySelector("#uploadfileBackCard").files[0];


    const nameimg = +new Date() + "-" + file.name
    const nameimg2 = +new Date() + "-" + file2.name

    const metadata = {
      contentType: file.type,
      contentType: file2.type
    };

    const task = ref.child(nameimg).put(file, metadata);
    const task2 = ref.child(nameimg2).put(file2, metadata);

    task
      .then(snapshot => snapshot.ref.getDownloadURL())
      .then(url => {

        task2
          .then(snapshot => snapshot.ref.getDownloadURL())
          .then(url2 => {
            $.ajax({
              url: '/users/register',
              type: 'post',
              data: {
                phone: phone,
                email: email,
                name: name,
                birthday: birthday,
                address: address,
                OnCard: url,
                BottomCard: url2
              }
            }).then(data => {
              if (data.success) {
                alert(data.msg)

                window.location.href = "/users/login"
                
              } else {

                alert(data.msg)
                window.location.href = "/users/register"

              }
            })

          }).catch(console.error)
      }).catch(console.error); 

  }

</script>

</html>